# Table of Contents

* [Getting Started](./setup/README.md)
  * [Project Setup & use](./setup/project-setup.md)
  * [Connecting Elasticsearch](./setup/elasticsearch.md)
  * [Indexing](./setup/indexing.md)
  * [Using components](./setup/using-components.md)
  * [Setting a Default Query](./setup/default-query.md)
  * [Extending components](./setup/extending-components.md)
* [Components](./components/README.md)    
    * [Basics](./components/basics/README.md)
      * [Search box](./components/basics/search-box.md)
      * [Hits](./components/basics/hits.md)
      * [No Hits](./components/basics/nohits.md)
      * [Initial Loader](./components/basics/initial-loader.md)
    * [Navigation](./components/navigation/README.md)
      * [Pagination](./components/navigation/pagination.md)
      * [Refinement List](./components/navigation/refinement-list.md)
      * [Numeric Refinement List](./components/navigation/numeric-refinement-list.md)
      * [Menu](./components/navigation/menu.md)
      * [Range Filter](./components/navigation/range-filter.md)
      * [Dynamic Range Filter](./components/navigation/dynamic-range-filter.md)
      * [Input Filter](./components/navigation/input-filter.md)
      * [Checkbox Filter](./components/navigation/checkbox-filter.md)
      * [Tag Filter](./components/navigation/tag-filter.md)
      * [Selected Filters](./components/navigation/selected-filters.md)
      * [Grouped Selected Filters](./components/navigation/grouped-selected-filters.md)
      * [Reset](./components/navigation/reset.md)
      * [Hierarchical Menu](./components/navigation/hierarchical-menu.md)
      * [Hierarchical Refinement](./components/navigation/hierarchical-refinement-filter.md)
    * [Display](./components/display/README.md)
      * [View Switcher](./components/display/switcher.md)
      * [Page Size Selector](./components/display/page-size-selector.md)
    * [Sorting](./components/sorting/README.md)
      * [Sorting](./components/sorting/sort.md)
    * [Metadata](./components/metadata/README.md)
      * [Stats](./components/metadata/stats.md)
    * [UI]()
      * [Layout](./components/ui/layout-components.md)
      * [Panel](./components/ui/panel.md)
      * [ListComponents](./components/ui/list-components.md)
      * [RangeComponents](./components/ui/range-components.md)

* [Theming](./theming/README.md)
  * [Using Theme](./theming/using-searchkit-theme.md)
  * [Extending Theme](./theming/extending-searchkit-theme.md)
  * [Building Your own CSS](./theming/building-your-own.md)
* [Core](./core/README.md)
  * [Architecture](./core/Architecture.md)
  * [SearchkitManager](./core/SearchkitManager.md)
  * [Accessors](./core/Accessors.md)
  * [ImmutableQuery](./core/ImmutableQuery.md)
  * [FieldOptions](./core/FieldOptions.md)
  * [QueryDSL](./core/QueryDSL.md)
  * [SearchkitProvider](./core/SearchkitProvider.md)
  * [SearchkitComponent](./core/SearchkitComponent.md)
  * [Translation](./core/Translate.md)
* [Migrating](./upgrading/README.md)
  * [Migrating from 0.2](./upgrading/migrating_from_0_2.md)
  * [Migrating from 0.3](./upgrading/migrating_from_0_3.md)
  * [Migrating from 0.4](./upgrading/migrating_from_0.4.md)
  * [Migrating from 0.5](./upgrading/migrating_from_0.5.md)
  * [Migrating from 0.6](./upgrading/migrating_from_0.6.md)
  * [Migrating from 0.7](./upgrading/migrating_from_0.7.md)
  * [Migrating from 0.8](./upgrading/migrating_from_0.8.md)
  * [Migrating from 0.9](./upgrading/migrating_from_0.9.md)
* [Using Express](./server/searchkit_express.md)
* [Indexing & Mapping Guide](./server/indexing.md)
* [Examples](./examples/README.md)
* [Contributing Guide](./developer-guide.md)
